Rename a gateway, or enable or disable it
put
Authorizations
defguard_sessionstringRequired
Path parameters
gateway_idinteger · int64Required
ID of the gateway.
Body
enabledbooleanRequired
namestringRequired
Responses
200
Gateway updated.
application/json
addressstringRequired
certificate_expirystring · nullableOptional
certificate_serialstring · nullableOptional
connectedbooleanRequired
connected_atstring · nullableOptional
disconnected_atstring · nullableOptional
enabledbooleanRequired
idinteger · int64Required
location_idinteger · int64Required
location_namestringRequired
modified_atstring · date-timeRequired
modified_bystringRequired
namestringRequired
portinteger · int32Required
versionstring · nullableOptional
400
Malformed request body.
application/json
401
Session is missing or invalid.
application/json
403
Requires admin privileges.
application/json
404
Gateway not found.
application/json
500
Unable to update gateway.
application/json
put/api/v1/gateway/{gateway_id}
PUT /api/v1/gateway/{gateway_id} HTTP/1.1
Content-Type: application/json
Accept: */*
Content-Length: 30
{
"enabled": true,
"name": "text"
}{
"address": "text",
"certificate_expiry": null,
"certificate_serial": null,
"connected": true,
"connected_at": null,
"disconnected_at": null,
"enabled": true,
"id": 1,
"location_id": 1,
"location_name": "text",
"modified_at": "2026-01-01T00:00:00.000Z",
"modified_by": "text",
"name": "text",
"port": 1,
"version": null
}Last updated
Was this helpful?